Bug 673558 - mousehide doesn't restore mouse when mouse moves
Summary: mousehide doesn't restore mouse when mouse moves
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-28 17:50 UTC by Joel
Modified: 2012-08-31 21:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-31 21:23:11 UTC
Type: ---


Attachments (Terms of Use)

Description Joel 2011-01-28 17:50:05 UTC
mousehide has been broken for a while (at least since F12).  When in insert mode, the mouse is invisible when over the gvim window.  This is expected.

What is unexpected is that when the mouse moves, it should become visible again.  This is according to the vim documentation for "set mousehide".

Workaround is to add "set nomousehide" to your .gvimrc file.

This bug is also in ubuntu:

https://bugs.launchpad.net/ubuntu/+source/vim/+bug/616858

Installed vim packages:

[jdyoung@quickstep ~]$ rpm -qa | grep vim
vim-filesystem-7.3.056-1.fc14.x86_64
vim-common-7.3.056-1.fc14.x86_64
vim-minimal-7.3.056-1.fc14.x86_64
vim-X11-7.3.056-1.fc14.x86_64
vim-enhanced-7.3.056-1.fc14.x86_64

Comment 1 John Florian 2012-04-25 14:51:20 UTC
Yes, this is very annoying and still broken in Fedora 16.

Comment 2 Fedora Update System 2012-08-28 14:15:19 UTC
vim-7.3.638-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vim-7.3.638-2.fc17

Comment 3 John Florian 2012-08-28 17:48:18 UTC
If we can get an update for F16 too, I'll be happy to test and provide feedback.

Comment 4 Fedora Update System 2012-08-28 23:25:04 UTC
Package vim-7.3.638-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.3.638-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12869/vim-7.3.638-2.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-08-31 21:23:11 UTC
vim-7.3.638-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.